unit Posuvniky_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFormular = class(TForm)
    ScrollBar1: TScrollBar;
    ScrollBar2: TScrollBar;
    Label1: TLabel;
    procedure ScrollBar2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
  private
    { Private declarations }
    procedure WinMove(var Msg: TWmMove); message wm_move;

 public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}


procedure TFormular.WinMove(var Msg: TWmMove);
begin
  Scrollbar1.POsition:=Formular.Left;
  ScrollBar2.Position:=Formular.Top;
end;

procedure TFormular.ScrollBar2Change(Sender: TObject);
var PolohaMysi:TPoint;  //souadnice kurzoru myi
    Rozdil:integer;  //o kolik se posunulo okno.
begin
  GetCursorPOs(PolohaMysi); //uloit aktuln pozici kurzoru
  rozdil:=Formular.Top; //uloit horn hramu formule
  formular.top:=ScrollBar2.Position; //zmna polohy formule podle posuvnku
  rozdil:=Formular.Top-rozdil; //Vypotat o kolik se okno posunulo
  with PolohaMysi do
    SetCursorPos(x,y+rozdil); //posunout kurzor ve smru y o tolik,
                              //kolik se pohnul formul.
end;

procedure TFormular.FormCreate(Sender: TObject);
begin
  ScrollBar1.Max:=Screen.Width-Formular.Width;
  ScrollBar1.Position:=Formular.Left;
  ScrollBar2.Max:=Screen.Height-Formular.Height;
  ScrollBar2.Position:=Formular.Top;
end;

procedure TFormular.ScrollBar1Change(Sender: TObject);
var PolohaMysi:TPoint;//souadnice kurzoru myi
    Rozdil:integer;  //o kolik se posunulo okno.
begin
  GetCursorPOs(PolohaMysi); //uloit aktuln pozici kurzoru
  rozdil:=Formular.Left; //uloit horn hramu formule
  formular.Left:=ScrollBar1.Position; //zmna polohy formule podle posuvnku
  rozdil:=Formular.Left-rozdil; //Vypotat o kolik se okno posunulo
  with PolohaMysi do
    SetCursorPos(x+rozdil,y);  //posunout kurzor ve smru x o tolik,
                              //kolik se pohnul formul.
end;

end.
