unit Seznam_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFormular = class(TForm)
    Jmeno: TLabel;
    prijmeni: TLabel;
    Povolani: TLabel;
    mesto: TLabel;
    JmenoEdit: TEdit;
    PrijmeniEdit: TEdit;
    PovolaniEdit: TEdit;
    MestoEdit: TEdit;
    JmenoList: TListBox;
    PrijmeniList: TListBox;
    Mestolist: TListBox;
    PovolaniList: TListBox;
    procedure JmenoListClick(Sender: TObject);
    procedure JmenoEditKeyPress(Sender: TObject; var Key: Char);
    procedure PrijmeniListClick(Sender: TObject);
    procedure JmenoEditEnter(Sender: TObject);
    procedure PrijmeniEditEnter(Sender: TObject);
    procedure PrijmeniEditKeyPress(Sender: TObject; var Key: Char);
    procedure PovolaniEditEnter(Sender: TObject);
    procedure PovolaniListClick(Sender: TObject);
    procedure PovolaniEditKeyPress(Sender: TObject; var Key: Char);
    procedure MestoEditEnter(Sender: TObject);
    procedure MestoEditKeyPress(Sender: TObject; var Key: Char);
    procedure MestolistClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}

procedure TFormular.JmenoListClick(Sender: TObject);
begin
  JmenoEdit.Text:=JmenoList.Items[JmenoList.ItemIndex];
end;

procedure TFormular.JmenoEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then
      begin
        if (JmenoList.Items.IndexOf(JmenoEdit.Text)<0) and
          (JmenoEdit.Text<>'') then
             JmenoList.Items.Add(JmenoEdit.Text);
      end;

end;

procedure TFormular.PrijmeniListClick(Sender: TObject);
begin
  PrijmeniEdit.Text:=PrijmeniList.Items[PrijmeniList.ItemIndex];
end;

procedure TFormular.JmenoEditEnter(Sender: TObject);
begin
  JmenoList.Visible:=true;
  PrijmeniList.Visible:=false;
  PovolaniList.Visible:=false;
  MestoList.Visible:=False;
end;

procedure TFormular.PrijmeniEditEnter(Sender: TObject);
begin
  JmenoList.Visible:=False;
  MestoList.Visible:=False;
  PrijmeniList.Visible:=True;
  povolaniList.Visible:=False;
end;

procedure TFormular.PrijmeniEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then
    begin
      if (PrijmeniList.Items.IndexOf(PrijmeniEdit.Text)<0) and
       (PrijmeniEdit.Text<>'') then
          PrijmeniList.Items.Add(PrijmeniEdit.Text);
    end;

end;

procedure TFormular.PovolaniEditEnter(Sender: TObject);
begin
  JmenoList.Visible:=false;
  MestoList.Visible:=False;
  PrijmeniList.Visible:=false;
  PovolaniList.Visible:=True;
end;

procedure TFormular.PovolaniListClick(Sender: TObject);
begin
  PovolaniEdit.Text:=PovolaniList.Items[PovolaniList.ItemIndex];
end;

procedure TFormular.PovolaniEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then
    begin
      if (PovolaniList.Items.IndexOf(PovolaniEdit.Text)<0) and
       (PovolaniEdit.Text<>'') then
          PovolaniList.Items.Add(PovolaniEdit.Text);
    end;

end;

procedure TFormular.MestoEditEnter(Sender: TObject);
begin
  JmenoList.Visible:=false;
  MestoList.Visible:=True;
  PrijmeniList.Visible:=false;
  PovolaniList.Visible:=false;
end;

procedure TFormular.MestoEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then
    begin
      if (MestoList.Items.IndexOf(MestoEdit.Text)<0) and
       (MestoEdit.Text<>'') then
          MestoList.Items.Add(MestoEdit.Text);
    end;
end;

procedure TFormular.MestolistClick(Sender: TObject);
begin
  MestoEdit.Text:=MestoList.Items[MestoList.ItemIndex];
end;

end.
