unit malovani2_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus;

type
  TBod = class(TObject)
     x:integer;  //x-ov souadnice bodu
     y:integer;  //y-ov souadnice bodu
     Barva:TColor; //barva jakou bude bod vykreslen
     Tloustka:Integer; //tlouka pera kterm bude bod vykreslen.
     Zacatek:Boolean;  //Prvn bod nov ry?
  end;


  TFormular = class(TForm)
    PopupMenu1: TPopupMenu;
    Barva1: TMenuItem;
    Tloustka: TMenuItem;
    Smazatvse: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    N41: TMenuItem;
    N51: TMenuItem;
    N61: TMenuItem;
    N71: TMenuItem;
    N81: TMenuItem;
    N91: TMenuItem;
    N101: TMenuItem;
    N11: TMenuItem;
    Cerna: TMenuItem;
    cervena: TMenuItem;
    Zelena: TMenuItem;
    Modra: TMenuItem;
    Zluta: TMenuItem;
    formulare: TMenuItem;
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CernaClick(Sender: TObject);
    procedure cervenaClick(Sender: TObject);
    procedure ZelenaClick(Sender: TObject);
    procedure ModraClick(Sender: TObject);
    procedure ZlutaClick(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N31Click(Sender: TObject);
    procedure N41Click(Sender: TObject);
    procedure N51Click(Sender: TObject);
    procedure N61Click(Sender: TObject);
    procedure N71Click(Sender: TObject);
    procedure N81Click(Sender: TObject);
    procedure N91Click(Sender: TObject);
    procedure N101Click(Sender: TObject);
    procedure formulareClick(Sender: TObject);
    procedure SmazatvseClick(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    kresli:Boolean;
    Bod:TBod;
    seznam:TList;
    BarvaCary:TColor;
    TloustkaCary:integer;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}

procedure TFormular.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Kresli:=true;  //zanme kreslit
  Bod:=TBod.Create; //vytvoen novho bodu
  //Uloen vech vlastnost bodu
  Bod.x:=x;
  Bod.y:=y;
  Bod.Barva:=BarvaCary;
  Bod.Tloustka:=TloustkaCary;

  bod.Zacatek:=True; //je to prvn bod ry
  Seznam.Add(bod); //uloit bod do seznamu
end;

procedure TFormular.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);

var plocha:TRect; //obdelnik kter se pekresluje
begin
  if kresli then
    begin
      Formular.Canvas.Pen.Color:=BarvaCary;  //nastaven barvy a tlouky pera
      Formular.Canvas.Pen.Width:=TloustkaCary;

      Bod:=TBod.Create; //vytvoen novho bodu
      //uloen informac o aktulnm bodu
      Bod.x:=x;
      Bod.y:=y;
      Bod.Barva:=BarvaCary;
      Bod.Tloustka:=TloustkaCary;
      bod.Zacatek:=False; //nen to poten bod

      Seznam.Add(bod); //uloen bodu do seznamu

     //pprava plochy k pekreslen
     Plocha:=Rect(x-20*TloustkaCary,y-20*TloustkaCary,
                   x+20*TloustkaCary,y+20*TloustkaCary);
     InvalidateRect(Handle,@Plocha,false); //pekreslen plochy


    // invalidate; //pekreslen okna
    end;

end;

procedure TFormular.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Kresli:=false;
end;

procedure TFormular.CernaClick(Sender: TObject);
begin
  BarvaCary:=clBlack;
  Cerna.Checked:=true;
end;

procedure TFormular.cervenaClick(Sender: TObject);
begin
  BarvaCary:=clRed;
  Cervena.Checked:=true;
end;

procedure TFormular.ZelenaClick(Sender: TObject);
begin
  BarvaCary:=clLime;
  Zelena.Checked:=true;
end;

procedure TFormular.ModraClick(Sender: TObject);
begin
  BarvaCary:=clNavy;
  Modra.Checked:=true;
end;

procedure TFormular.ZlutaClick(Sender: TObject);
begin
  BarvaCary:=clYellow;
  Zluta.Checked:=true;
end;

procedure TFormular.N11Click(Sender: TObject);
begin
  TloustkaCary:=1;
  N11.Checked:=true;
end;

procedure TFormular.N21Click(Sender: TObject);
begin
  TloustkaCary:=2;
  N21.Checked:=true;
end;

procedure TFormular.N31Click(Sender: TObject);
begin
  TloustkaCary:=3;
  N31.Checked:=true;
end;

procedure TFormular.N41Click(Sender: TObject);
begin
  TloustkaCary:=4;
  N41.Checked:=true;
end;

procedure TFormular.N51Click(Sender: TObject);
begin
  TloustkaCary:=5;
  N51.Checked:=true;
end;

procedure TFormular.N61Click(Sender: TObject);
begin
  TloustkaCary:=6;
  N61.Checked:=true;
end;

procedure TFormular.N71Click(Sender: TObject);
begin
  TloustkaCary:=7;
  N71.Checked:=true;
end;

procedure TFormular.N81Click(Sender: TObject);
begin
  TloustkaCary:=8;
  N81.Checked:=true;
end;

procedure TFormular.N91Click(Sender: TObject);
begin
  TloustkaCary:=9;
  N91.Checked:=true;
end;

procedure TFormular.N101Click(Sender: TObject);
begin
  TloustkaCary:=10;
  N101.Checked:=true;
end;

procedure TFormular.formulareClick(Sender: TObject);
begin
  BarvaCary:=Formular.color;
  formulare.Checked:=true;
end;

procedure TFormular.SmazatvseClick(Sender: TObject);
begin
  Formular.Canvas.Brush.Color:=Formular.Color; //nastaven vpln a barvy obdlnku
  Formular.Canvas.Pen.Color:=Formular.Color;
  formular.Canvas.Rectangle(0,0,Width,Height); //vykreslen obdlnku
  Formular.Canvas.Pen.Color:=BarvaCary; //obnoven barvy pera
  seznam.Clear; //vyprzdnn seznamu
end;

procedure TFormular.FormPaint(Sender: TObject);
var i:integer;
    Misto:Tbod; //msto kter se obnovuje
begin
  for i:=0 to Seznam.Count-1 do  //projdeme vechny body v seznamu
    begin
      misto:=seznam.Items[i];
      with misto do
        begin
          if Zacatek then   //pokud se jedn o prvn bod ry
            begin
              formular.Canvas.Pen.Color:=Barva; //nastavit Barvu a Tlouku pera
              formular.Canvas.Pen.Width:=Tloustka;
              formular.Canvas.MoveTo(x,y);  //pesunout pero na prvn bod ry
            end
          else
            formular.Canvas.LineTo(x,y); //Ostatn body spojit rou
        end;
    end;
end;

procedure TFormular.FormCreate(Sender: TObject);
begin
  Seznam:=Tlist.Create;
  TloustkaCary:=1;
  BarvaCary:=clBlack;
end;

end.
